Cyberduck Mountain Duck CLI

#2869 closed defect (fixed)

WebDAV (HTTP/SSL) and MobileMe iDisk (WebDAV) uploads fail. "HTTP Error: Upload failed"

Reported by: grigutis@… Owned by: dkocher
Priority: highest Milestone: 3.1.1
Component: webdav Version: 3.1
Severity: critical Keywords:
Cc: Architecture:
Platform:

Description

This might be similar to Ticket #2268. Uploading a simple text file to a WebDAV server will fail. The Failures sheet displays two errors:

HTTP Error: Upload failed
/jonukas/Documents/test file
OK

HTTP Error: Upload failed
/jonukas/Documents/test file
Unbuffered entity enclosing request can not be repeated.

This occurs with both the WebDAV (HTTP/SSL) and MobileMe iDisk (WebDAV) connection choices. This works in 3.0.3. Here's the log from the MobileMe session:

PROPFIND /jonukas HTTP/1.1[\r][\n]
Authorization: Basic *REDACTED*[\r][\n]
Content-Type: text/xml; charset=utf-8[\r][\n]
User-Agent: Cyberduck/3.1 (4448)[\r][\n]
Host: idisk.me.com[\r][\n]
Content-Length: 207[\r][\n]
Depth: 0[\r][\n]
[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
Server: AppleIDiskServer-1D5609[\r][\n]
x-responding-server: filesng023[\r][\n]
X-dmUser: jonukas[\r][\n]
Content-Location: /jonukas/[\r][\n]
Content-Type: text/xml;charset=utf-8[\r][\n]
Content-Length: 584[\r][\n]
Date: Fri, 09 Jan 2009 21:03:22 GMT[\r][\n]
[\r][\n]
PROPFIND /jonukas/Documents/ HTTP/1.1[\r][\n]
Authorization: Basic *REDACTED*[\r][\n]
Content-Type: text/xml; charset=utf-8[\r][\n]
User-Agent: Cyberduck/3.1 (4448)[\r][\n]
Host: idisk.me.com[\r][\n]
Content-Length: 207[\r][\n]
Depth: 0[\r][\n]
[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
Server: AppleIDiskServer-1D5609[\r][\n]
x-responding-server: filesng023[\r][\n]
X-dmUser: jonukas[\r][\n]
Content-Type: text/xml;charset=utf-8[\r][\n]
Content-Length: 594[\r][\n]
Date: Fri, 09 Jan 2009 21:03:22 GMT[\r][\n]
[\r][\n]
PROPFIND /jonukas/Documents/ HTTP/1.1[\r][\n]
Authorization: Basic *REDACTED*[\r][\n]
Content-Type: text/xml; charset=utf-8[\r][\n]
User-Agent: Cyberduck/3.1 (4448)[\r][\n]
Host: idisk.me.com[\r][\n]
Content-Length: 207[\r][\n]
Depth: 1[\r][\n]
[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
HTTP/1.1 207 Multi-Status[\r][\n]
Server: AppleIDiskServer-1D5609[\r][\n]
x-responding-server: filesng023[\r][\n]
X-dmUser: jonukas[\r][\n]
Content-Type: text/xml;charset=utf-8[\r][\n]
Transfer-Encoding: chunked[\r][\n]
Date: Fri, 09 Jan 2009 21:03:22 GMT[\r][\n]
[\r][\n]
[\r][\n]
PUT /jonukas/Documents/test%20file HTTP/1.1[\r][\n]
Content-Type: application/octet-stream[\r][\n]
User-Agent: Cyberduck/3.1 (4448)[\r][\n]
Host: idisk.me.com[\r][\n]
Expect: 100-continue[\r][\n]
Content-Length: 9[\r][\n]
[\r][\n]
HTTP/1.1 100 Continue[\r][\n]
HTTP/1.1 100 Continue[\r][\n]
[\r][\n]
HTTP/1.1 401 Unauthorized[\r][\n]
HTTP/1.1 401 Unauthorized[\r][\n]
Server: AppleIDiskServer-1D5609[\r][\n]
x-responding-server: filesng023[\r][\n]
WWW-Authenticate: Basic realm="me.com"[\r][\n]
WWW-Authenticate: Digest realm="me.com", qop="auth", nonce="*REDACTED*", stale="false", opaque="*REDACTED*"[\r][\n]
Content-Length: 12[\r][\n]
Date: Fri, 09 Jan 2009 21:03:22 GMT[\r][\n]
[\r][\n]
PUT /jonukas/Documents/test%20file HTTP/1.1[\r][\n]
Content-Type: application/octet-stream[\r][\n]
User-Agent: Cyberduck/3.1 (4448)[\r][\n]
Expect: 100-continue[\r][\n]
Content-Length: 9[\r][\n]
Authorization: Digest username="jonukas", realm="me.com", nonce="*REDACTED*", uri="/jonukas/Documents/test%20file", response="*REDACTED*", qop=auth, nc=00000001, cnonce="*REDACTED*", opaque="*REDACTED*"[\r][\n]
Host: idisk.me.com[\r][\n]
[\r][\n]
HTTP/1.1 100 Continue[\r][\n]
HTTP/1.1 100 Continue[\r][\n]
[\r][\n]

Change History (3)

comment:1 Changed on Jan 9, 2009 at 10:28:23 PM by dkocher

  • Milestone set to 3.1.1
  • Status changed from new to assigned

Please try the latest nightly build and let me know if that resolves this issue.

comment:2 Changed on Jan 10, 2009 at 12:45:41 AM by grigutis@…

Yes, build 4452 appears to fix the issue.

Thanks!

comment:3 Changed on Jan 10, 2009 at 9:41:30 AM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed
Note: See TracTickets for help on using tickets.
swiss made software